package flex.testdrive;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.net.URLDecoder;

public class ConnectionHelper {

	private String url;
	private static ConnectionHelper instance;

	private ConnectionHelper() {
		try {
			Class.forName("org.hsqldb.jdbcDriver");
			String str = URLDecoder.decode(getClass().getClassLoader().getResource("flex/testdrive").toString(), "UTF-8");
			url = "jdbc:hsqldb:" + str.substring(0, str.indexOf("classes/flex/testdrive")) + "db/flextestdrive/flextestdrive";
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static Connection getConnection() throws SQLException {
		if (instance == null) {
			instance = new ConnectionHelper();
		}
		return DriverManager.getConnection(instance.url);
	}

}